//*****************************************************************************
//*
//*
//*		MathViewer.cpp
//*
//*
//*****************************************************************************
//
//	Syntax:		MVI-Datei Bidldatei [-X:1024] [-Y:1024]
//	
//				-X:???			Bildbreite
//				-Y:???			Bildhhe
//
#include	"StdAfx.h"
#include	"MathViewer.h"
#include	"MathViewerDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CMathViewerApp, CWinApp)
	//{{AFX_MSG_MAP(CMathViewerApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

// Das einzige CMathViewerApp-Objekt

CMathViewerApp theApp;

//*****************************************************************************
//*
//*		CMathViewerApp
//*
//*****************************************************************************
//  CMathViewerApp Konstruktion
CMathViewerApp::CMathViewerApp()
{
}

//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
//  CMathViewerApp Initialisierung
BOOL CMathViewerApp::InitInstance()
{
LPCTSTR		pParam;
int			iPos;
int			iNum;
	
	AfxUtilityInit();
	AfxEnableControlContainer();


	#ifdef		_AFXDLL 				
	Enable3dControls(); 										// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
	#else
	Enable3dControlsStatic();									// Diese Funktion bei statischen MFC-Anbindungen aufrufen
	#endif

	CMathViewerDlg sDlg;

	for(iPos=1,iNum=0;iPos<__argc;iPos++)						// Zu einer bestimmten Addresse scrollen
		{
		pParam = __targv[iPos];

		if(pParam[0]!='-' && pParam[0]!='/')
			{
			if(iNum==1){sDlg.m_sStorePath=pParam;iNum=2;sDlg.m_iStoreMode=2;}
			if(iNum==0){sDlg.m_sStoreLoad=pParam;iNum=1;sDlg.m_iStoreMode=1;}
			continue;
			}


		if(pParam[1]=='x' || pParam[1]=='X')
		if(pParam[2]==':')
			{
			sDlg.m_uStoreX = strtoi(pParam+3);
			}


		if(pParam[1]=='y' || pParam[1]=='Y')
		if(pParam[2]==':')
			{
			sDlg.m_uStoreY = strtoi(pParam+3);
			}
		}


	m_pMainWnd = &sDlg;
	

return sDlg.DoModal();
}
