//*****************************************************************************
//*
//*
//*		OptionenDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OPTIONENDLG_H__ED2EF324_EF77_43D3_A374_911C90E26F6E__INCLUDED_
#define		AFX_OPTIONENDLG_H__ED2EF324_EF77_43D3_A374_911C90E26F6E__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

#include	"CurveDrawer.h"
#include	"PlaneDrawer.h"

#define 	ID_OPTION_CHG		0x5814

//*****************************************************************************
//*
//*		COptionenDlg Dialog
//*
//*****************************************************************************
class COptionenDlg : public CDialog
{
public:

	COptionenDlg(CWnd* pParent = NULL); 						// standard constructor

	//{{AFX_DATA(COptionenDlg)
	enum { IDD = IDD_OPTIONSDLG };
	int		m_iShadowMode;
	CString m_sShadowPos;
	//}}AFX_DATA

	BOOL		m_bIsD2;
	UINT		m_uOptions2D;
	UINT		m_uOptions3D;
	PlaneParams	m_sParams3D;
	UINT	   *m_pOptions2D;
	UINT	   *m_pOptions3D;
	PlaneParams*m_pParams3D;


	// Overrides
	//{{AFX_VIRTUAL(COptionenDlg)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam,LPARAM lParam);
	//}}AFX_VIRTUAL

protected:

	UINT		m_uTicker;
	
	UINT		m_uOldOptions2D;
	UINT		m_uOldOptions3D;
	PlaneParams	m_sOldParams3D;

	UINT		m_uChgOptions2D;
	UINT		m_uChgOptions3D;
	PlaneParams	m_sChgParams3D;


	//{{AFX_MSG(COptionenDlg)
	afx_msg void OnHScroll(UINT nSBCode,UINT nPos,CScrollBar *pScrollBar);
	afx_msg void OnTimer  (UINT_PTR nIdEvent);
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDefault();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS();


	void	UpdateValues();

};

//{{AFX_INSERT_LOCATION}}

#endif

